<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xsl:exclude-result-prefixes="xsi">
	<xsl:output method="xml" indent="yes" encoding="ISO-8859-1"/>
	<xsl:template match="/Document">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:if test="Keywords or Authors or CreationDate or LastUpdateDate">
				<Info>
					<xsl:if test="CreationDate">
						<xsl:apply-templates select="CreationDate"/>
						<!--xsl:apply-templates select="CreationDate" mode="copy"/-->
					</xsl:if>
					<xsl:if test="LastUpdateDate">
						<xsl:apply-templates select="LastUpdateDate"/>
					</xsl:if>
					<xsl:if test="Keywords">
						<xsl:apply-templates select="Keywords"/>
					</xsl:if>
					<xsl:if test="Authors">
						<xsl:apply-templates select="Authors"/>
					</xsl:if>
				</Info>
				<xsl:if test="Abstract">
					<xsl:apply-templates select="Abstract"/>
				</xsl:if>
				<xsl:if test="Audience">
					<xsl:apply-templates select="Audience"/>
				</xsl:if>
			</xsl:if>
			<xsl:if test="Title">
				<xsl:apply-templates select="Title"/>
			</xsl:if>
			<xsl:apply-templates select="Body"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="//Document[@IDREF]">
		<Doc>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</Doc>
	</xsl:template>
	<xsl:template match="//Section[@IDREF]">
		<Sect>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</Sect>
	</xsl:template>
	<xsl:template match="*">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="comment() | processing-instruction()">
		<xsl:copy/>
	</xsl:template>
	<xsl:template match="node()" mode="copy">
		<xsl:element name="{name()}">
			<xsl:apply-templates select="@* | * | text()" mode="copy"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@*" mode="copy">
		<xsl:attribute name="{name()}"><xsl:value-of select="."/></xsl:attribute>
	</xsl:template>
	<xsl:template match="text()" mode="copy">
		<xsl:value-of select="."/>
	</xsl:template>
</xsl:stylesheet>
